<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="CMR_Clutch">
    <refnamediv>
        <refname>CMR_Clutch</refname>
        <refpurpose>CMR_Clutch Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../../images/gif/CMR_Clutch.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_CMR_Clutch">
        <title>Description</title>
        <para>
            Clutch based on Coulomb friction
        </para>
    </refsection>
    <refsection id="Palette_CMR_Clutch">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Mechanics_Rotational_pal">Mechanics_Rotational - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../../images/gui/CMR_Clutch_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">mue_pos [-] : mue &gt; 0, positive sliding friction coefficient (w_rel&gt;=0)</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.5</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">peak [-] : peak &gt;= 1, peak*mue_pos = maximum value of mue for w_rel==0</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">cgeo [-] : cgeo &gt;= 0, Geometry constant containing friction distribution assumption</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">fn_max [N] : fn_max &gt;= 0, Maximum normal force</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">mode_start [-] : Initial sliding mode (-1=Backward,0=Sticking,1=Forward,2=Free)</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_CMR_Clutch">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'flange_a'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Rotational type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'f_normalized'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Value type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'flange_b'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Rotational type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'mue_pos'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.5
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'peak'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'cgeo'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'fn_max'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'mode_start'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_CMR_Clutch">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>CMR_Clutch.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_CMR_Clutch">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>CMR_Clutch in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
